Blob Blame History Raw
From e87f1d78661aeb04f1be7498e14f6dc74c0c83a1 Mon Sep 17 00:00:00 2001
From: Dalibor Pospisil <dapospis@redhat.com>
Date: Wed, 18 Jun 2014 15:27:51 +0200
Subject: [PATCH 01/14] fixed problem with IFS other that space

---
 src/journal.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/journal.sh b/src/journal.sh
index ecd375c..346c5d0 100644
--- a/src/journal.sh
+++ b/src/journal.sh
@@ -390,7 +390,7 @@ rljClosePhase(){
 }
 
 rljAddTest(){
-    if ! $__INTERNAL_JOURNALIST test --message "$1" --result "$2" ${3:+--command "$3"}
+    if ! eval "$__INTERNAL_JOURNALIST test --message \"\$1\" --result \"\$2\" ${3:+--command \"\$3\"}"
     then
       # Failed to add a test: there is no phase open
       # So we open it, add a test, add a FAIL to let the user know
-- 
1.9.3